# survexport

## SYNOPSIS

> `survexport` [OPTIONS] INPUT_FILE [OUTPUT_FILE]

## DESCRIPTION

The input formats supports are all those supported by Survex’s “img” library - Survex .3d, Survex .pos, Compass PLT and CMAP XYZ files.

Currently the output formats supported are CSV, DXF, EPS (Encapsulated PostScript), GPX, HPGL for plotters, JSON, KML, Survex POS files, and SVG.

Also survexport can produce Compass .plt files, which were primarily intended for importing into Carto; the principal author of Carto has sadly died and it seems Carto is no longer actively developed, but we’ve left this support in place in case it is useful - the generated files can be used with Compass itself for example, though they are rather crudely structured.

### POS Format

The POS format is a Survex-specific format containing a list of stations with coordinates (ordered x,y,z [East, North, Up]) and complete names. In old versions of Survex it was produced by the (now removed) `3dtopos` tool. Since Survex 1.2.19 it can be generated by `survexport` or by `aven`’s export feature.

The header line is translated to the user’s language, but always starts with `(` and ends with `)`.

While not a requirement of the format, in `.pos` files created by Survex the stations are sorted by name such that numbers occur in the correct order (so `2` before `10`). Numbers with a prefix and/or suffix are sorted by the prefix as a string, then the number part as above, then by the suffix as a string, so you’d get:

    040.sv8
    040.sv8a
    040.sv8b
    040.sv8c
    040.sv9
    040.sv10
    040.sv11
    40_entrance_tag
    40b_entrance_tag

### DXF Format

DXF export separates Splays, Surface legs, Surface points, survey legs, and survey stations onto separate layers. Splays will export dotted, and surface legs dashed. This is not currently configurable.

## OPTIONS

`-s`, `--survey=`SURVEY

  only load the sub-survey with this prefix

`--scale=`SCALE

  scale (`50`, `0.02`, `1:50` and `2:100` all mean 1:50)

`--bearing=`BEARING

  bearing (`90`, `90d`, `100g` all mean 90°)

`--tilt=`TILT

  tilt (`45`, `45d`, `50g`, `100%` all mean 45°)

`--plan`

  plan view (equivalent to `--tilt=-90`)

`--elevation`

  elevation view (equivalent to `--tilt=0`)

`--legs`

  underground survey legs

`--surface-legs`

  surface survey legs

`--splays`

  splay legs

`--crosses`

  station markers

`--station-names`

  station labels

`--entrances`

  entrances

`--fixes`

  fixed points

`--exports`

  exported stations

`--cross-sections`

  cross-sections

`--walls`

  walls

`--passages`

  passages

`--origin-in-centre`

  origin in centre

`--full-coordinates`

  full coordinates

`--clamp-to-ground`

  clamp to ground

`--defaults`

  include items exported by default

`-g`, `--grid`, `--grid=`GRID

  generate grid with spacing `GRID` metres (default `100`)

`-t`, `--text-height=`TEXT_HEIGHT

  station labels text height (default `0.6`)

`-m`, `--marker-size=`MARKER_SIZE

  station marker size (default `0.8`)

`--csv`

  produce CSV output

`--dxf`

  produce DXF output

`--eps`

  produce EPS output

`--gpx`

  produce GPX output

`--hpgl`

  produce HPGL output

`--json`

  produce JSON output

`--kml`

  produce KML output

`--plt`

  produce Compass PLT output for Carto

`--pos`

  produce Survex POS output

`--svg`

  produce SVG output

`--help`

  display short help and exit

`--version`

  output version information and exit